## org.springframework.web.servlet.tags
Class Param

    java.lang.Object
      org.springframework.web.servlet.tags.Param

    public class Param

extends Object

Bean used to pass name-value pair parameters from a `ParamTag` to a `ParamAware` tag.

Attributes are the raw values passed to the spring:param tag and have not been encoded or escaped.

Since:
  3.0
Author:
  Scott Andrews
See Also:
  `ParamTag`

Constructor Summary
`Param()`

Method Summary
`String` `getName()`
`String` `getValue()`
`void` `setName(String name)` Set the raw name of the parameter
`void` `setValue(String value)` Set the raw value of the parameter
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Param

    public Param()

Method Detail

### getName

    public String getName()

  Returns:
    the raw parameter name

### setName

    public void setName(String name)

  Set the raw name of the parameter

### getValue

    public String getValue()

  Returns:
    the raw parameter value

### setValue

    public void setValue(String value)

  Set the raw value of the parameter

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`